The above responses should get you most of the way there - I would personally approach the problem in the following way:
Attempt to obtain a selection set of all circles in the drawing using the ssget function, using the X mode string (to query the entire drawing database) and an appropriate filter list to select entities with entity type (DXF group 0) equal to CIRCLE - examples of this may be found as part of my ssget reference here.
Use an if or cond statement to test whether the value returned by the ssget expression is a valid selection set or nil (if no circles could be found), and notify the user if the latter.
Prompt the user using the getdist function to specify the width of the line (you could even offer a default option [extra points!] by following my tutorial here)
Use an if or cond statement to test whether the user has specified a valid value and either assign a default value or exit the program if the user has pressed Enter/Space/right-click at the prompt.
With all input acquired, iterate over the selection set using one of the methods described in my tutorial here.
For each circle entity encountered, obtain the DXF data using the entget function.
Obtain the circle center (DXF group 10) and radius (DXF group 40) using the assoc function, and use the cdr function to obtain the value associated with these DXF groups.
Use the polar function to calculate a point from the center, at a distance equal to the radius, in the desired direction.
Use the polar function to calculate a second point either relative to the center (and therefore at a distance equal to the radius) or to the first point (and therefore at a distance equal to twice the radius), in the opposite direction.
Construct a 2D Polyline between these two points with constant width equal to that specified by the user - to create the polyline, you can proceed in three different ways:
Call the PLINE command using the command function, accounting for the effect of Object Snap and regional differences in command names & keyword options (by prefixing commands and options with an underscore).
Use entmake/entmakex to write to the drawing database directly, supplying the appropriate DXF groups for an LWPOLYLINE entity.
Use the ActiveX addlightweightpolyline method to create an AcDbPolyline VLA object, and then change the ConstantWidth property to that specified by the user.